Skip to content

List therapies

GET https://api.moalmanac.org/therapies

Retrieves Therapies from the database. Filters by therapy_id, therapy_name, and therapy_type. therapy_name is matched case-insensitively.

Parameters

Name Type Description Example
therapy_id string Return only the therapy with this id.
therapy_name string Return therapy records with this name, ignoring case. Dabrafenib
therapy string (repeatable) Therapy name, matched exactly. Repeatable; matches any of the given values (OR). Dabrafenib
therapy_type string (repeatable) Therapy type. Repeatable; matches any of the given values (OR). Targeted therapy

Example request

curl "https://api.moalmanac.org/therapies?therapy_name=Dabrafenib"

Response

Returns the standard response envelope, with data set to a list of Therapy records.

Example response
{
  "meta": {
    "data_length": 1,
    "message": "Therapies retrieved successfully",
    "request_url": "https://api.moalmanac.org/therapies",
    "status": "success",
    "status_code": 200,
    "timestamp_elapsed": 0.012345,
    "timestamp_received": "2026-10-16T14:03:12.123456Z",
    "timestamp_returned": "2026-10-16T14:03:12.135801Z",
    "trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "service": {
    "github": "https://github.com/vanallenlab/moalmanac-db",
    "name": "Molecular Oncology Almanac",
    "license": "GPL-2.0",
    "release": "draft",
    "url": "https://moalmanac.org",
    "last_updated": "2026-10-08"
  },
  "data": [
    {
      "id": "tx:ncit:C82386",
      "conceptType": "Therapy",
      "name": "Dabrafenib",
      "mappings": [
        {
          "relation": "relatedMatch",
          "coding": {
            "id": "coding:rxcui:1424911",
            "code": "1424911",
            "name": "dabrafenib",
            "system": "RxNorm",
            "systemVersion": "02-Mar-2026",
            "iris": [
              "https://mor.nlm.nih.gov/RxNav/search?searchBy=RXCUI&searchTerm=1424911"
            ]
          }
        },
        {
          "relation": "relatedMatch",
          "coding": {
            "id": "coding:omop:43532299",
            "code": "43532299",
            "name": "dabrafenib",
            "system": "OMOP",
            "systemVersion": "v20260227",
            "iris": [
              "https://athena.ohdsi.org/search-terms/terms/43532299"
            ]
          }
        }
      ],
      "extensions": [
        {
          "name": "therapy_strategy",
          "value": [
            "B-RAF inhibition"
          ],
          "description": "Associated therapeutic strategy or mechanism of action of the therapy."
        },
        {
          "name": "therapy_type",
          "value": "Targeted therapy",
          "description": "Type of cancer treatment from cancer.gov: https://www.cancer.gov/about-cancer/treatment/types"
        }
      ],
      "primaryCoding": {
        "id": "coding:ncit:C82386",
        "code": "C82386",
        "name": "Dabrafenib",
        "system": "https://evsexplore.semantics.cancer.gov",
        "systemVersion": "26.08e",
        "iris": [
          "https://evsexplore.semantics.cancer.gov/evsexplore/concept/ncit/C82386"
        ]
      }
    }
  ]
}